commit:     42357c55b8c39c4b8b763b03e8f51b089e82590f
Author:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 23:54:19 2016 +0000
Commit:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 23:54:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42357c55

app-emulation/lxd: Bump to 2.0.3

EAPI=6

Package-Manager: portage-2.3.0

 app-emulation/lxd/Manifest                         |   1 +
 .../lxd/files/lxd-2.0.3-dont-go-get.patch          |  22 +++
 app-emulation/lxd/files/lxd-2.0.3.confd            |  27 ++++
 app-emulation/lxd/files/lxd-2.0.3.initd            |  50 +++++++
 app-emulation/lxd/lxd-2.0.3.ebuild                 | 155 +++++++++++++++++++++
 5 files changed, 255 insertions(+)

diff --git a/app-emulation/lxd/Manifest b/app-emulation/lxd/Manifest
index 072650a..8abc29c 100644
--- a/app-emulation/lxd/Manifest
+++ b/app-emulation/lxd/Manifest
@@ -3,3 +3,4 @@ DIST lxd-2.0.0_beta4.tar.bz2 2291955 SHA256 
6487750275e21ab3e862ea56807b9fcf28e9
 DIST lxd-2.0.0_rc2.tar.bz2 2306077 SHA256 
d74babbd5c537430a574a13c0f70c7633affc9bbd0e21bf0039872bdfb801fe9 SHA512 
6a21620e19277293a3b665d4061f5aa9443d1a9a5ab88fa885096ff77acf828b215e247136bb99ea1ba230f015181bc9a86a919664c9288577509a2146a5aa66
 WHIRLPOOL 
f88e0f3b5ecd9803bc8baee864ffbdf33b39f331a5e5ceb170b2792d2e26b6f4faae3a8cc6aae090e81accd3835408f2956a117095bc790ca7c16cd7f21d205e
 DIST lxd-2.0.1.tar.bz2 2330217 SHA256 
b9a315825bfc66469a442f3b3da73e2af97dba270ffe1bc18c871cd6c1c7ad69 SHA512 
67b1c42a0957bd2f4963c860372211dbbc38cb8e9346e83c6319749efd9e1a188c00033865901d285650298531460b9f54cba0e88d0973179c0c17bcd30cc97d
 WHIRLPOOL 
4ae640fc6410dff9d08816a6ac7ddb47a4cce9dfbbfaa65baf8456517aca25a501b0e680d9a6855a0fa3b9efe8cd1eddb0a9981d43de9ef573c16be936f5104a
 DIST lxd-2.0.2.tar.bz2 2340565 SHA256 
0054b0e79ba0bc1a1189eb63ca8ac2ca2bafd10c500ce53f67abbd5abc03b542 SHA512 
c79f1c7f0aeb289ba7bea745917aaac0d339baf0e6b4fe62cbcb67b8da072ef135e971d4c17546e2e208aeae921ad2853073493f9e7a6e300876bd72b808e516
 WHIRLPOOL 
a30bddfc79ad0c7d941db811f1942fff67afc79a217a251d55b1cf37d80cdb21f8f1f72df268382cbcd34d408005ef4185f5bd59f95369b51558938352f05c60
+DIST lxd-2.0.3.tar.bz2 2349842 SHA256 
fb8a56e08da776f5210970a12e61b2e7b751328b5628e6fbebde231952b907a9 SHA512 
62ac76bee0ff151343d0686da9376ff16965af5de19b50055bad86461dc2dd8e06544ee39640537f8352ec03b584ed32cf70cce9c7c961285d9ea567c617330e
 WHIRLPOOL 
60204498c0a104310ddb28e42ea8889830c2f0e8c830c683b51d5cdbc92380de7c7964961fc7a34b32c7cb4dccaa4222f017b0d8948f54d5044770c066141319

diff --git a/app-emulation/lxd/files/lxd-2.0.3-dont-go-get.patch 
b/app-emulation/lxd/files/lxd-2.0.3-dont-go-get.patch
new file mode 100644
index 0000000..9402de5
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-2.0.3-dont-go-get.patch
@@ -0,0 +1,22 @@
+--- /Makefile.orig     2016-07-11 23:34:40.299664675 +0000
++++ /Makefile  2016-07-11 23:37:00.816018727 +0000
+@@ -12,19 +12,11 @@
+ 
+ .PHONY: default
+ default:
+-      # Must a few times due to go get race
+-      -go get -t -v -d ./...
+-      -go get -t -v -d ./...
+-      -go get -t -v -d ./...
+       go install -v $(DEBUG) ./...
+       @echo "LXD built successfully"
+ 
+ .PHONY: client
+ client:
+-      # Must a few times due to go get race
+-      -go get -t -v -d ./...
+-      -go get -t -v -d ./...
+-      -go get -t -v -d ./...
+       go install -v $(DEBUG) ./lxc
+       @echo "LXD client built successfully"
+ 

diff --git a/app-emulation/lxd/files/lxd-2.0.3.confd 
b/app-emulation/lxd/files/lxd-2.0.3.confd
new file mode 100644
index 0000000..3d55327
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-2.0.3.confd
@@ -0,0 +1,27 @@
+# Group which owns the shared socket
+LXD_OPTIONS+=" --group lxd"
+
+
+
+# Enable cpu profiling into the specified file
+#LXD_OPTIONS+=" --cpuprofile /tmp/lxc_cpu_profile"
+
+# Enable memory profiling into the specified file
+#LXD_OPTIONS+=" --memprofile /tmp/lxc_mem_profile"
+
+
+
+# Enables debug mode
+#LXD_OPTIONS+=" --debug"
+
+# For debugging, print a complete stack trace every n seconds
+#LXD_OPTIONS+=" --print-goroutines-every 5"
+
+# Enables verbose mode
+#LXD_OPTIONS+=" -v"
+
+# Logfile to log to
+#LXD_OPTIONS+=" --logfile /var/log/lxd/lxd.log"
+
+# Enables syslog logging
+#LXD_OPTIONS+=" --syslog"

diff --git a/app-emulation/lxd/files/lxd-2.0.3.initd 
b/app-emulation/lxd/files/lxd-2.0.3.initd
new file mode 100644
index 0000000..c1aef37
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-2.0.3.initd
@@ -0,0 +1,50 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DAEMON=/usr/sbin/lxd
+PIDFILE=/run/lxd.pid
+
+extra_commands="stopall"
+
+depend() {
+    need net
+    use lxcfs
+
+    # remove with 2.0 release
+    need cgmanager
+}
+
+start() {
+    ebegin "Starting lxd server"
+
+    start-stop-daemon --start \
+                     --pidfile ${PIDFILE} \
+                     --exec ${DAEMON} \
+                     --background \
+                     --make-pidfile \
+                     -- \
+                     ${LXD_OPTIONS}
+
+    eend $?
+}
+
+stop() {
+    if [[ $RC_GOINGDOWN = YES ]] || [[ $RC_REBOOT = YES ]]; then
+       stopall
+    else
+       ebegin "Stopping lxd service (but not containers)"
+       start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+       eend $?
+    fi
+}
+
+stopall() {
+    ebegin "Stopping lxd service and containers"
+    if "${DAEMON}" shutdown; then
+       /etc/init.d/lxd zap
+       rm -f ${PIDFILE}
+    fi
+    eend $?
+}

diff --git a/app-emulation/lxd/lxd-2.0.3.ebuild 
b/app-emulation/lxd/lxd-2.0.3.ebuild
new file mode 100644
index 0000000..e45469a
--- /dev/null
+++ b/app-emulation/lxd/lxd-2.0.3.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Fast, dense and secure container management"
+HOMEPAGE="https://linuxcontainers.org/lxd/introduction/";
+EGO_PN_PARENT="github.com/lxc"
+EGO_PN="${EGO_PN_PARENT}/lxd"
+
+# The source is repackaged using a script at:
+#   https://dev.gentoo.org/~stasibear/lxd_repackage.py
+# This is necessary because go's native package management assumes
+# that a build starts with checking out many git repositories, often
+# from HEAD.  This provides no way to build the same code repeatably,
+# and anyway portage requires that fetching is only done from SRC_URI.
+# The only sane alternative I've seen is in the consul ebuild, which
+# is more transparent but raises other questions.
+SRC_URI="https://dev.gentoo.org/~stasibear/distfiles/${P}.tar.bz2";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+PLOCALES="de fr ja"
+IUSE="+daemon nls test"
+
+# IUSE and PLOCALES must be defined before l10n inherited
+inherit bash-completion-r1 golang-build l10n systemd user vcs-snapshot
+
+DEPEND="
+       dev-go/go-crypto
+       dev-libs/protobuf
+       nls? ( sys-devel/gettext )
+       test? (
+               app-misc/jq
+               dev-db/sqlite
+               net-misc/curl
+               sys-devel/gettext
+       )
+"
+
+RDEPEND="
+       daemon? (
+               app-admin/cgmanager
+               app-arch/xz-utils
+               app-emulation/lxc[cgmanager,seccomp]
+               net-misc/rsync[xattr]
+               sys-apps/iproute2
+               virtual/acl
+       )
+"
+
+PATCHES=("${FILESDIR}/${P}-dont-go-get.patch")
+
+# KNOWN ISSUES:
+# - Translations may not work.  I've been unsuccessful in forcing
+#   localized output.  Anyway, upstream (Canonical) doesn't install the
+#   message files.
+
+src_prepare() {
+       cd "${S}/src/${EGO_PN}" || die "Failed to change to deep src dir"
+
+       default_src_prepare
+
+       tmpgoroot="${T}/goroot"
+       mkdir -p "$tmpgoroot" || die "Failed to create temporary GOROOT"
+       cp -sR "$(get_golibdir_gopath)"/* "${tmpgoroot}" || die "Failed to copy 
files to temporary GOROOT"
+
+       # Warn on unhandled locale changes
+       l10n_find_plocales_changes po "" .po
+}
+
+src_compile() {
+       golang-build_src_compile
+
+       cd "${S}/src/${EGO_PN}" || die "Failed to change to deep src dir"
+
+       tmpgoroot="${T}/goroot"
+       if use daemon; then
+               # Build binaries
+               GOPATH="${S}:${tmpgoroot}" emake
+       else
+               # build client tool
+               GOPATH="${S}:${tmpgoroot}" emake client
+       fi
+
+       use nls && emake build-mo
+}
+
+src_test() {
+       if use daemon; then
+               # Go native tests should succeed
+               golang-build_src_test
+       fi
+}
+
+src_install() {
+       # Installs all src,pkg to /usr/lib/go-gentoo
+       golang-build_src_install
+
+       cd "${S}"
+       dobin bin/lxc
+       use daemon && dosbin bin/lxd
+
+       cd "src/${EGO_PN}"
+
+       if use nls; then
+               for lingua in ${PLOCALES}; do
+                       if use linguas_${lingua}; then
+                               domo po/${lingua}.mo
+                       fi
+               done
+       fi
+
+       if use daemon; then
+               newinitd "${FILESDIR}"/${P}.initd lxd
+               newconfd "${FILESDIR}"/${P}.confd lxd
+
+               systemd_dounit "${FILESDIR}"/lxd.service
+       fi
+
+       newbashcomp config/bash/lxd-client lxc
+
+       dodoc AUTHORS CONTRIBUTING.md README.md doc/*
+}
+
+pkg_postinst() {
+       einfo
+       einfo "Consult https://wiki.gentoo.org/wiki/LXD for more information,"
+       einfo "including a Quick Start."
+
+       # The messaging below only applies to daemon installs
+       use daemon || return 0
+
+       # The control socket will be owned by (and writeable by) this group.
+       enewgroup lxd
+
+       # Ubuntu also defines an lxd user but it appears unused (the daemon
+       # must run as root)
+
+       einfo
+       einfo "Though not strictly required, some features are enabled at 
run-time"
+       einfo "when the relevant helper programs are detected:"
+       einfo "- sys-apps/apparmor"
+       einfo "- sys-fs/btrfs-progs"
+       einfo "- sys-fs/lvm2"
+       einfo "- sys-fs/lxcfs"
+       einfo "- sys-fs/zfs"
+       einfo "- sys-process/criu"
+       einfo
+       einfo "Since these features can't be disabled at build-time they are"
+       einfo "not USE-conditional."
+}

Reply via email to